=== debian/changelog ===
nemo-qml-plugin-dbus (1.0.0-1) unstable; urgency=medium

  * update

 -- lichenggang <lichenggang@deepin.org>  Thu, 20 Oct 2022 11:33:24 +0800

nemo-qml-plugin-dbus (2.1.24-1) unstable; urgency=medium

  [ Sebastian Spaeth ]
  * initial release

 -- LiChengGang <lichenggang@uniontech.com>  Tue, 09 Aug 2022 14:11:37 +0800
