=== debian/rules ===
#!/usr/bin/make -f
DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export QT_SELECT = qt5
%:
	dh $@

override_dh_auto_build:
	qmake src 
	make
